#include "CameraThread.h"

CameraThread::CameraThread(CameraObject *co)
{
    cameraObject = co;
    this->start();
    co->moveToThread(this);
}

CameraThread::~CameraThread()
{
    delete cameraObject;
    this->quit();
    this->wait();
}

void CameraThread::run()
{
    exec();
}
